package com.bcxin.ars.model.sys;

import com.bcxin.ars.model.BaseModel;

import java.util.Date;

public class ApprovalLog extends BaseModel{

    /** 审批状态 */
    private String approvalstate;

    /** 审批人 */
    private String approvalperson;

    /** 审批时间 */
    private Date approvaldate;

    /** 审批原因 */
    private String approvalreason;

    /** 流程ID */
    private String processInstanceId;

    /** 审批机构 */
    private String approvalorg;

    /** 审批id */
    private String approvalid;

    /**
     * 审批日志类型  001 代表内部意见  002代表外部意见
     */
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getApprovalstate() {
        return approvalstate;
    }

    public void setApprovalstate(String approvalstate) {
        this.approvalstate = approvalstate == null ? null : approvalstate.trim();
    }

    public String getApprovalperson() {
        return approvalperson;
    }

    public void setApprovalperson(String approvalperson) {
        this.approvalperson = approvalperson == null ? null : approvalperson.trim();
    }

    public Date getApprovaldate() {
        return approvaldate;
    }

    public void setApprovaldate(Date approvaldate) {
        this.approvaldate = approvaldate;
    }

    public String getApprovalreason() {
        return approvalreason;
    }

    public void setApprovalreason(String approvalreason) {
        this.approvalreason = approvalreason == null ? null : approvalreason.trim();
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    public String getApprovalorg() {
        return approvalorg;
    }

    public void setApprovalorg(String approvalorg) {
        this.approvalorg = approvalorg == null ? null : approvalorg.trim();
    }

    public String getApprovalid() {
        return approvalid;
    }

    public void setApprovalid(String approvalid) {
        this.approvalid = approvalid;
    }


    @Override
    public boolean equals (Object o){
        boolean retVal = false;
        if (o != null && o.getClass().equals(this.getClass())) {
            BaseModel that = (BaseModel) o;
            if (that.getId() != null && this.getId() != null){
                if (that.getId().intValue() == this.getId().intValue()) {
                    retVal = true;
                }
            }
        }
        return retVal;
    }

    @Override
    public int hashCode() {
        return getId().hashCode();
    }

}